### Method

# EBook Destination get_source_uid

#### Declaration [src]

    const gchar*
    e_destination_get_source_uid (
      const EDestination* dest
    )

#### Description [src]

Gets the unique source ID `dest` is pointing to, if any. The source ID specifies which address book `dest`‘s contact came from.

#### Return value

Type: `const gchar*`

A unique source ID, or `NULL` if none was set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.